:root {
  /* https://coolors.co/01161e-58a4b0-171716-7b9e96-ac3931 */
  --color-primary: #cb5760;

  --color-base: #2a2928;
  --color-heading: #535250;

  --color-bg: #faf9f8;
  --color-bg-secondary: #f3f1ee;
  --color-link: #cb5760;
  --color-link-hover: #a7484f;

  --color-red: #ac3931;
  --color-green: #7b9e96;

  --color-facebook: #546ba6;
  --color-instagram: #d1617e;

  --color-marker: rgba(255, 255, 0, 0.35);

  /* colors - grays */
  --gray1: #3c3c3d;
  --gray2: #5a5a5b;
  --gray3: #7d7d7e;
  --gray4: #cdcdce;
  --gray5: #dededf;
  --gray6: #efeff0;

  /* font */
  --font-family: 'Roboto Mono', 'Helvetica Neue', 'Segoe UI', 'Helvetica', 'Arial', 'sans-serif';
  --font-family-heading: 'Roboto Mono', 'Helvetica Neue', 'Segoe UI', 'Helvetica', 'Arial',
    'sans-serif';
  --fw-base: 300;
  --fw-medium: 400;
  --fw-bold: 700;

  --font-base-size: 14px;
  --line-height: 1.6;
  --line-height-heading: 1.25;
  --letter-spacing: 0.1em;
  --border-radius: 0.15rem;

  /* scale for 1.2 */
  --font-size-0: 1rem;
  --font-size-1: 1.2rem;
  --font-size-2: 1.44rem;
  --font-size-3: 1.728rem;
  --font-size-sub-1: 0.889rem;
  --font-size-sub-2: 0.79rem;

  /* wraps */
  --wrap: 780px;
  --wrap-s: 640px;
  --wrap-l: 54em;
  --wrap-xl: 68em;
}

@media screen and (min-width: 800px) {
  :root {
    --font-base-size: 19px;
    --line-height: 1.7;
    --line-height-heading: 1.35;

    /* scale for 1.25 */
    --font-size-0: 1rem;
    --font-size-1: 1.25rem;
    --font-size-2: 1.563rem;
    --font-size-3: 1.953rem;
    --font-size-sub-1: 0.8rem;
    --font-size-sub-2: 0.64rem;
  }
}

/* custom media queries */
@custom-media --desktop (min-width: 940px);
@custom-media --large (min-width: 1400px);

/* custom CSS selectors */
@custom-selector :--headings h1, h2, h3, h4, h5, h6;
